Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.jbrowser
Class Options.Filter

    java.lang.Object
      gnu.jbrowser.Options.Filter

All Implemented Interfaces:
  Options.FilterIro

Enclosing class:
  Options

    public static class Options.Filter

extends java.lang.Object
implements Options.FilterIro

Constructor Summary
`Options.Filter()`

Method Summary
`int` | `getMemberVisIndex()`
`boolean` | `getShowAttributes()`
`boolean` | `getShowGeneralizations()`
`boolean` | `getShowPrimitives()`
`boolean` | `getShowThrows()`
`int` | `getTopLevelVisIndex()`
`void` | `setMemberVisIndex(int level)`
`void` | `setShowAttributes(boolean flag)`
`void` | `setShowGeneralizations(boolean flag)`
`void` | `setShowPrimitives(boolean flag)`
`void` | `setShowThrows(boolean flag)`
`void` | `setTopLevelVisIndex(int level)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Options.Filter

    public Options.Filter()

Method Detail

### getShowAttributes

    public final boolean getShowAttributes()

  Specified by:
    `getShowAttributes` in interface `Options.FilterIro`

### getShowPrimitives

    public final boolean getShowPrimitives()

  Specified by:
    `getShowPrimitives` in interface `Options.FilterIro`

### getShowGeneralizations

    public final boolean getShowGeneralizations()

  Specified by:
    `getShowGeneralizations` in interface `Options.FilterIro`

### getShowThrows

    public final boolean getShowThrows()

  Specified by:
    `getShowThrows` in interface `Options.FilterIro`

### getTopLevelVisIndex

    public final int getTopLevelVisIndex()

  Specified by:
    `getTopLevelVisIndex` in interface `Options.FilterIro`

### getMemberVisIndex

    public final int getMemberVisIndex()

  Specified by:
    `getMemberVisIndex` in interface `Options.FilterIro`

### setShowAttributes

    public final void setShowAttributes(boolean flag)

### setShowPrimitives

    public final void setShowPrimitives(boolean flag)

### setShowGeneralizations

    public final void setShowGeneralizations(boolean flag)

### setShowThrows

    public final void setShowThrows(boolean flag)

### setTopLevelVisIndex

    public final void setTopLevelVisIndex(int level)

### setMemberVisIndex

    public final void setMemberVisIndex(int level)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.